import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { PasswordWrapper } from '../../core/entities';


@Injectable()
export class ChangePasswordService {

	constructor(private http: HttpClient) {}

	changePassword(passwordWrapper: PasswordWrapper): Observable<any> {
		return this.http.put('/api/account/changePassword', passwordWrapper);
	}
}
